Bug 118457 - [UI] Help button should be on the left of dialog (iv)
Summary: [UI] Help button should be on the left of dialog (iv)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
Depends on:
Blocks: Dialog-Buttons-Unification
  Show dependency treegraph
 
Reported: 2018-06-29 15:02 UTC by Olivier Hallot
Modified: 2018-08-20 10:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot of dialog in 6.1 and 6.2 (49.33 KB, image/jpeg)
2018-06-29 17:36 UTC, Drew Jensen
Details
I am on 6.2 The buttons are still wrong (80.25 KB, image/png)
2018-08-20 10:26 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-06-29 15:02:38 UTC
Dialog Assign Styles (in assigning styles to TOC - Writer) has help and OK/Cancel in wrong place.
Comment 1 Drew Jensen 2018-06-29 17:36:00 UTC
Created attachment 143210 [details]
screen shot of dialog in 6.1 and 6.2

Yes the button placement did change.

The screen shot is of the Style Editor dialog displayed in 6.2 and 6.1
Comment 2 Drew Jensen 2018-06-29 18:31:16 UTC
Comment on attachment 143210 [details]
screen shot of dialog in 6.1 and 6.2

Disregard that screen shot attachment, I had inadvertently used 6.0, not 6.1, the dialog layout is the same in 6.1 and 6.2.
Comment 3 Commit Notification 2018-07-10 09:17:41 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15eadb56d0a24fb4b1e70c8afb41f6e02eb47761

tdf#118457 Place Help button on the left

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-08-10 11:23:43 UTC
A polite ping to Olivier Hallot:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 5 Commit Notification 2018-08-20 09:51:54 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a19a65193a564a0eccdb63b7e2ca272d32aa9180&h=libreoffice-6-1

tdf#118457 Place Help button on the left

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2018-08-20 10:26:47 UTC
Created attachment 144326 [details]
I am on 6.2 The buttons are still wrong

The buttons are NOT ok, not solved for me. See the screenshot.

Version: 6.2.0.0.alpha0+
Build ID: f05b0a6aaf8af5d78f9cad8bb953228cb0ce09f1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-20_01:57:14
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded